// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package order_mobile

import (
	context "context"
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// PricingServiceClient is the client API for PricingService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type PricingServiceClient interface {
	ListPricingCategory(ctx context.Context, in *order.ListPricingCategoryRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingBrand(ctx context.Context, in *order.ListPricingBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingProduct(ctx context.Context, in *order.ListPricingProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingQuantityType(ctx context.Context, in *order.ListPricingQuantityTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingProductGroup(ctx context.Context, in *order.ListPricingProductGroupRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingNames(ctx context.Context, in *order.ListPricingNamesRequest, opts ...grpc.CallOption) (*order.ListPricingNamesResponse, error)
	ListPricing(ctx context.Context, in *order.ListPricingRequest, opts ...grpc.CallOption) (*order.ListPricingResponse, error)
	ListPricingMerchandiser(ctx context.Context, in *order.ListPricingMerchandiserRequest, opts ...grpc.CallOption) (*order.ListPricingMerchandiserResponse, error)
	ListPricingByIds(ctx context.Context, in *order.ListPricingByIdsRequest, opts ...grpc.CallOption) (*order.ListPricingByIdsResponse, error)
	ListAvailablePricing(ctx context.Context, in *order.ListAvailablePricingRequest, opts ...grpc.CallOption) (*order.ListAvailablePricingResponse, error)
	// list supplier by fast deal id
	ListSupplierPricingInfo(ctx context.Context, in *order.ListSupplierPricingInfoRequest, opts ...grpc.CallOption) (*order.ListSupplierPricingInfoResponse, error)
}

type pricingServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewPricingServiceClient(cc grpc.ClientConnInterface) PricingServiceClient {
	return &pricingServiceClient{cc}
}

func (c *pricingServiceClient) ListPricingCategory(ctx context.Context, in *order.ListPricingCategoryRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.PricingService/ListPricingCategory", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingBrand(ctx context.Context, in *order.ListPricingBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.PricingService/ListPricingBrand", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingProduct(ctx context.Context, in *order.ListPricingProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.PricingService/ListPricingProduct", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingQuantityType(ctx context.Context, in *order.ListPricingQuantityTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.PricingService/ListPricingQuantityType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingProductGroup(ctx context.Context, in *order.ListPricingProductGroupRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.PricingService/ListPricingProductGroup", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingNames(ctx context.Context, in *order.ListPricingNamesRequest, opts ...grpc.CallOption) (*order.ListPricingNamesResponse, error) {
	out := new(order.ListPricingNamesResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.PricingService/ListPricingNames", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricing(ctx context.Context, in *order.ListPricingRequest, opts ...grpc.CallOption) (*order.ListPricingResponse, error) {
	out := new(order.ListPricingResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.PricingService/ListPricing", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingMerchandiser(ctx context.Context, in *order.ListPricingMerchandiserRequest, opts ...grpc.CallOption) (*order.ListPricingMerchandiserResponse, error) {
	out := new(order.ListPricingMerchandiserResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.PricingService/ListPricingMerchandiser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingByIds(ctx context.Context, in *order.ListPricingByIdsRequest, opts ...grpc.CallOption) (*order.ListPricingByIdsResponse, error) {
	out := new(order.ListPricingByIdsResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.PricingService/ListPricingByIds", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListAvailablePricing(ctx context.Context, in *order.ListAvailablePricingRequest, opts ...grpc.CallOption) (*order.ListAvailablePricingResponse, error) {
	out := new(order.ListAvailablePricingResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.PricingService/ListAvailablePricing", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListSupplierPricingInfo(ctx context.Context, in *order.ListSupplierPricingInfoRequest, opts ...grpc.CallOption) (*order.ListSupplierPricingInfoResponse, error) {
	out := new(order.ListSupplierPricingInfoResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.PricingService/ListSupplierPricingInfo", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// PricingServiceServer is the server API for PricingService service.
// All implementations must embed UnimplementedPricingServiceServer
// for forward compatibility
type PricingServiceServer interface {
	ListPricingCategory(context.Context, *order.ListPricingCategoryRequest) (*order.DictResponse, error)
	ListPricingBrand(context.Context, *order.ListPricingBrandRequest) (*order.DictResponse, error)
	ListPricingProduct(context.Context, *order.ListPricingProductRequest) (*order.DictResponse, error)
	ListPricingQuantityType(context.Context, *order.ListPricingQuantityTypeRequest) (*order.DictResponse, error)
	ListPricingProductGroup(context.Context, *order.ListPricingProductGroupRequest) (*order.DictResponse, error)
	ListPricingNames(context.Context, *order.ListPricingNamesRequest) (*order.ListPricingNamesResponse, error)
	ListPricing(context.Context, *order.ListPricingRequest) (*order.ListPricingResponse, error)
	ListPricingMerchandiser(context.Context, *order.ListPricingMerchandiserRequest) (*order.ListPricingMerchandiserResponse, error)
	ListPricingByIds(context.Context, *order.ListPricingByIdsRequest) (*order.ListPricingByIdsResponse, error)
	ListAvailablePricing(context.Context, *order.ListAvailablePricingRequest) (*order.ListAvailablePricingResponse, error)
	// list supplier by fast deal id
	ListSupplierPricingInfo(context.Context, *order.ListSupplierPricingInfoRequest) (*order.ListSupplierPricingInfoResponse, error)
	mustEmbedUnimplementedPricingServiceServer()
}

// UnimplementedPricingServiceServer must be embedded to have forward compatible implementations.
type UnimplementedPricingServiceServer struct {
}

func (UnimplementedPricingServiceServer) ListPricingCategory(context.Context, *order.ListPricingCategoryRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingCategory not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingBrand(context.Context, *order.ListPricingBrandRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingBrand not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingProduct(context.Context, *order.ListPricingProductRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingProduct not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingQuantityType(context.Context, *order.ListPricingQuantityTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingQuantityType not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingProductGroup(context.Context, *order.ListPricingProductGroupRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingProductGroup not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingNames(context.Context, *order.ListPricingNamesRequest) (*order.ListPricingNamesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingNames not implemented")
}
func (UnimplementedPricingServiceServer) ListPricing(context.Context, *order.ListPricingRequest) (*order.ListPricingResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricing not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingMerchandiser(context.Context, *order.ListPricingMerchandiserRequest) (*order.ListPricingMerchandiserResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingMerchandiser not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingByIds(context.Context, *order.ListPricingByIdsRequest) (*order.ListPricingByIdsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingByIds not implemented")
}
func (UnimplementedPricingServiceServer) ListAvailablePricing(context.Context, *order.ListAvailablePricingRequest) (*order.ListAvailablePricingResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListAvailablePricing not implemented")
}
func (UnimplementedPricingServiceServer) ListSupplierPricingInfo(context.Context, *order.ListSupplierPricingInfoRequest) (*order.ListSupplierPricingInfoResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListSupplierPricingInfo not implemented")
}
func (UnimplementedPricingServiceServer) mustEmbedUnimplementedPricingServiceServer() {}

// UnsafePricingServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to PricingServiceServer will
// result in compilation errors.
type UnsafePricingServiceServer interface {
	mustEmbedUnimplementedPricingServiceServer()
}

func RegisterPricingServiceServer(s grpc.ServiceRegistrar, srv PricingServiceServer) {
	s.RegisterService(&PricingService_ServiceDesc, srv)
}

func _PricingService_ListPricingCategory_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingCategoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingCategory(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.PricingService/ListPricingCategory",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingCategory(ctx, req.(*order.ListPricingCategoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingBrand_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingBrandRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingBrand(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.PricingService/ListPricingBrand",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingBrand(ctx, req.(*order.ListPricingBrandRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingProduct_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingProductRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingProduct(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.PricingService/ListPricingProduct",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingProduct(ctx, req.(*order.ListPricingProductRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingQuantityType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingQuantityTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingQuantityType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.PricingService/ListPricingQuantityType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingQuantityType(ctx, req.(*order.ListPricingQuantityTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingProductGroup_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingProductGroupRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingProductGroup(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.PricingService/ListPricingProductGroup",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingProductGroup(ctx, req.(*order.ListPricingProductGroupRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingNames_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingNamesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingNames(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.PricingService/ListPricingNames",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingNames(ctx, req.(*order.ListPricingNamesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricing_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricing(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.PricingService/ListPricing",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricing(ctx, req.(*order.ListPricingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingMerchandiser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingMerchandiserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingMerchandiser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.PricingService/ListPricingMerchandiser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingMerchandiser(ctx, req.(*order.ListPricingMerchandiserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingByIds_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingByIdsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingByIds(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.PricingService/ListPricingByIds",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingByIds(ctx, req.(*order.ListPricingByIdsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListAvailablePricing_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListAvailablePricingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListAvailablePricing(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.PricingService/ListAvailablePricing",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListAvailablePricing(ctx, req.(*order.ListAvailablePricingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListSupplierPricingInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListSupplierPricingInfoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListSupplierPricingInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.PricingService/ListSupplierPricingInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListSupplierPricingInfo(ctx, req.(*order.ListSupplierPricingInfoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// PricingService_ServiceDesc is the grpc.ServiceDesc for PricingService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var PricingService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.order.v1.order_mobile.PricingService",
	HandlerType: (*PricingServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ListPricingCategory",
			Handler:    _PricingService_ListPricingCategory_Handler,
		},
		{
			MethodName: "ListPricingBrand",
			Handler:    _PricingService_ListPricingBrand_Handler,
		},
		{
			MethodName: "ListPricingProduct",
			Handler:    _PricingService_ListPricingProduct_Handler,
		},
		{
			MethodName: "ListPricingQuantityType",
			Handler:    _PricingService_ListPricingQuantityType_Handler,
		},
		{
			MethodName: "ListPricingProductGroup",
			Handler:    _PricingService_ListPricingProductGroup_Handler,
		},
		{
			MethodName: "ListPricingNames",
			Handler:    _PricingService_ListPricingNames_Handler,
		},
		{
			MethodName: "ListPricing",
			Handler:    _PricingService_ListPricing_Handler,
		},
		{
			MethodName: "ListPricingMerchandiser",
			Handler:    _PricingService_ListPricingMerchandiser_Handler,
		},
		{
			MethodName: "ListPricingByIds",
			Handler:    _PricingService_ListPricingByIds_Handler,
		},
		{
			MethodName: "ListAvailablePricing",
			Handler:    _PricingService_ListAvailablePricing_Handler,
		},
		{
			MethodName: "ListSupplierPricingInfo",
			Handler:    _PricingService_ListSupplierPricingInfo_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/order_mobile/pricing_mobile.proto",
}
